org.openstreetmap.josm.plugins.streetside.actions

## Class StreetsideZoomAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.openstreetmap.josm.actions.JosmAction
    - - org.openstreetmap.josm.plugins.streetside.actions.StreetsideZoomAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action, StreetsideDataListener, Destroyable

      public class StreetsideZoomAction
      extends JosmAction
      implements StreetsideDataListener

  Zooms to the currently selected image.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.openstreetmap.josm.actions.JosmAction

      `JosmAction.ActiveLayerChangeAdapter, JosmAction.LayerChangeAdapter, JosmAction.SelectionChangeAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class org.openstreetmap.josm.actions.JosmAction

      `sc`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideZoomAction()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent arg0)`
    `void` | `imagesAdded()` Fired when any image is added to the database.
    `protected boolean` | `listenToSelectionChange()`
    `void` | `selectedImageChanged(StreetsideAbstractImage oldImage, StreetsideAbstractImage newImage)` Fired when the selected image is changed by something different from manually clicking on the icon.
    `protected void` | `updateEnabledState()`

    - ### Methods inherited from class org.openstreetmap.josm.actions.JosmAction

      `checkAndConfirmOutlyingOperation, destroy, getLayerManager, getShortcut, initEnabledState, installAdapters, listenToLayerChange, setTooltip, updateEnabledState, updateEnabledStateOnCurrentSelection, updateEnabledStateOnCurrentSelection, updateEnabledStateOnModifiableSelection, waitFuture`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreetsideZoomAction

          public StreetsideZoomAction()

      Main constructor.

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent arg0)

      Specified by:
        `actionPerformed` in interface `ActionListener`

    - #### imagesAdded

          public void imagesAdded()

      Description copied from interface: `StreetsideDataListener`
      Fired when any image is added to the database.
      Specified by:
        `imagesAdded` in interface `StreetsideDataListener`

    - #### listenToSelectionChange

          protected boolean listenToSelectionChange()

      Overrides:
        `listenToSelectionChange` in class `JosmAction`

    - #### selectedImageChanged

          public void selectedImageChanged(StreetsideAbstractImage oldImage,
                                           StreetsideAbstractImage newImage)

      Description copied from interface: `StreetsideDataListener`
      Fired when the selected image is changed by something different from manually clicking on the icon.
      Specified by:
        `selectedImageChanged` in interface `StreetsideDataListener`
      Parameters:
        `oldImage` - Old selected `StreetsideAbstractImage`
        `newImage` - New selected `StreetsideAbstractImage`

    - #### updateEnabledState

          protected void updateEnabledState()

      Overrides:
        `updateEnabledState` in class `JosmAction`

JOSM Plugins